Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004217TestLinkTest Specificationpublic2011-02-02 18:222012-11-03 17:10
Reporterdenjolras 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0004217: No way to filter by "Test importance"
DescriptionNo way to filter by "Test importance" - for example: in Test specification windows.

As all fields, including custom fields, can be used for filtering, I think that this missing field is a bug, but if better, set this as a feature request.

As I want my team to create at least one "High" test per feature, such filtering will be a great help.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespdf file icon ApploaderInstallationGuide.pdf [^] (1,232,705 bytes) 2012-08-30 17:00

- Relationships
has duplicate 0004231closedasimon Add a filter on test importance while adding TCs to a test plan 
has duplicate 0005143closedasimon Test case assignment - Possibility to filter by Test importance 
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0014608)
spacomp (reporter)
2011-04-14 09:17

Similar issues exist with IDs 4231 & 4413
(0014652)
Julian (reporter)
2011-04-15 11:54

Here we might not be able to fix, because:

Imagine a test case with 3 version:
v1 -> importance = low
v2 -> importance = medium
v3 -> importance = high

On Test Specification all versions are present -> importance is not clear.
(0014737)
denjolras (reporter)
2011-04-22 20:31
edited on: 2011-04-22 20:32

As the existing filter have the same constraints, I don't really understand your point ...

for example, we can have Version 1: manual, Version 2: Automated.
And we have a filter by execution type.

Same think for custom fields:
If I create a custom field for "importance", with 3 values,
then I can filter for low/medium/High.
So, what is the difference between execution type nor custom field and the hardcoded test importance ?

(0017649)
asimon (developer)
2012-10-10 11:56

Implemented on branch 1.9 and working fine: http://gitorious.org/testlink-ga/testlink-code/commit/0af05fdbd3f1ec6339cb78ec73c31b890a72c5fe [^]

This filter has the same constraint as the other filters for version specific properties: only the latest active version of any test case is considered by the filter.
(0017765)
fman (administrator)
2012-11-03 17:10

After addition of Active/Inactive test case filter, the logic of this filter need to be reviewed, to do search following Active/Inactive.

1. Active/Inactive: All versions are inactive
this filter has to use latest version WITHOUT considering active/inactive status on tcversions table

2. Active/Inactive: ANY
3. Active/Inactive: Al least ON ACTIVE Version
We can do current logic i.e. SEARCH ONLY ON LATEST ACTIVE VERSION




- Issue History
Date Modified Username Field Change
2011-02-02 18:22 denjolras New Issue
2011-04-14 09:17 spacomp Note Added: 0014608
2011-04-14 09:36 Julian Relationship added related to 0004231
2011-04-14 09:37 Julian Assigned To => asimon
2011-04-14 09:37 Julian Status new => assigned
2011-04-14 09:38 Julian Summary (maybe new feature?): No way to filter by "Test importance" in Test specification windows => No way to filter by "Test importance" in Test specification windows
2011-04-15 11:54 Julian Note Added: 0014652
2011-04-22 20:31 denjolras Note Added: 0014737
2011-04-22 20:32 denjolras Note Edited: 0014737 View Revisions
2011-04-22 20:32 denjolras Note Edited: 0014737 View Revisions
2011-08-25 14:42 Julian Summary No way to filter by "Test importance" in Test specification windows => No way to filter by "Test importance"
2011-08-25 14:42 Julian Description Updated View Revisions
2012-08-30 10:15 asimon Relationship added child of 0005143
2012-08-30 10:15 asimon Relationship replaced child of 0004231
2012-08-30 17:00 matapli_87 File Added: ApploaderInstallationGuide.pdf
2012-10-10 11:56 asimon Task Workflow Status => READY FOR TESTING
2012-10-10 11:56 asimon Note Added: 0017649
2012-10-10 11:56 asimon Status assigned => resolved
2012-10-10 11:56 asimon Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-10-10 11:56 asimon Resolution open => fixed
2012-10-10 12:03 asimon Relationship replaced has duplicate 0004231
2012-10-10 12:11 asimon Relationship replaced has duplicate 0005143
2012-10-10 12:14 asimon Relationship added child of 0005193
2012-10-10 16:50 fman Tag Attached: TO BE FIXED on 2.0
2012-11-03 17:10 fman Note Added: 0017765
2012-11-03 17:10 fman Status resolved => new



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker